Index: compat/svr4/svr4_misc.c
===================================================================
RCS file: /home/ncvs/src/sys/compat/svr4/svr4_misc.c,v
retrieving revision 1.51
diff -u -r1.51 svr4_misc.c
--- compat/svr4/svr4_misc.c	31 Aug 2002 19:33:59 -0000	1.51
+++ compat/svr4/svr4_misc.c	12 Dec 2002 03:14:38 -0000
@@ -132,25 +132,25 @@
 {
 	struct wait_args w4;
 	int error, *retval = td->td_retval, st, sig;
-	size_t sz = sizeof(*SCARG(&w4, status));
+	size_t sz = sizeof(*w4.status);
 
-	SCARG(&w4, rusage) = NULL;
-	SCARG(&w4, options) = 0;
+	w4.rusage = NULL;
+	w4.options = 0;
 
-	if (SCARG(uap, status) == NULL) {
+	if (uap->status == NULL) {
 		caddr_t sg = stackgap_init();
 
-		SCARG(&w4, status) = stackgap_alloc(&sg, sz);
+		w4.status = stackgap_alloc(&sg, sz);
 	}
 	else
-		SCARG(&w4, status) = SCARG(uap, status);
+		w4.status = uap->status;
 
-	SCARG(&w4, pid) = WAIT_ANY;
+	w4.pid = WAIT_ANY;
 
 	if ((error = wait4(td, &w4)) != 0)
 		return error;
       
-	if ((error = copyin(SCARG(&w4, status), &st, sizeof(st))) != 0)
+	if ((error = copyin(w4.status, &st, sizeof(st))) != 0)
 		return error;
 
 	if (WIFSIGNALED(st)) {
@@ -169,8 +169,8 @@
 	 */
 	retval[1] = st;
 
-	if (SCARG(uap, status))
-		if ((error = copyout(&st, SCARG(uap, status), sizeof(st))) != 0)
+	if (uap->status)
+		if ((error = copyout(&st, uap->status, sizeof(st))) != 0)
 			return error;
 
 	return 0;
@@ -185,11 +185,11 @@
 	caddr_t sg;
 
 	sg = stackgap_init();
-	CHECKALTEXIST(td, &sg, SCARG(uap, path));
+	CHECKALTEXIST(td, &sg, uap->path);
 
-	SCARG(&ap, fname) = SCARG(uap, path);
-	SCARG(&ap, argv) = SCARG(uap, argp);
-	SCARG(&ap, envv) = NULL;
+	ap.fname = uap->path;
+	ap.argv = uap->argp;
+	ap.envv = NULL;
 
 	return execve(td, &ap);
 }
@@ -205,9 +205,9 @@
 	sg = stackgap_init();
 	CHECKALTEXIST(td, &sg, uap->path);
 
-	SCARG(&ap, fname) = SCARG(uap, path);
-	SCARG(&ap, argv) = SCARG(uap, argp);
-	SCARG(&ap, envv) = SCARG(uap, envp);
+	ap.fname = uap->path;
+	ap.argv = uap->argp;
+	ap.envv = uap->envp;
 
 	return execve(td, &ap);
 }
@@ -222,9 +222,9 @@
 	struct timeval tv;
 
 	microtime(&tv);
-	if (SCARG(uap, t))
-		error = copyout(&tv.tv_sec, SCARG(uap, t),
-				sizeof(*(SCARG(uap, t))));
+	if (uap->t)
+		error = copyout(&tv.tv_sec, uap->t,
+				sizeof(*(uap->t)));
 	td->td_retval[0] = (int) tv.tv_sec;
 
 	return error;
@@ -261,8 +261,8 @@
 	int ncookies;
 
 	DPRINTF(("svr4_sys_getdents64(%d, *, %d)\n",
-		SCARG(uap, fd), SCARG(uap, nbytes)));
-	if ((error = getvnode(td->td_proc->p_fd, SCARG(uap, fd), &fp)) != 0) {
+		uap->fd, uap->nbytes));
+	if ((error = getvnode(td->td_proc->p_fd, uap->fd, &fp)) != 0) {
 		return (error);
 	}
 
@@ -283,7 +283,7 @@
 		return error;
 	}
 
-	nbytes = SCARG(uap, nbytes);
+	nbytes = uap->nbytes;
 	if (nbytes == 1) {
 		nbytes = sizeof (struct svr4_dirent64);
 		justone = 1;
@@ -326,7 +326,7 @@
 	}
 
 	inp = buf;
-	outp = (caddr_t) SCARG(uap, dp);
+	outp = (caddr_t) uap->dp;
 	resid = nbytes;
 	if ((len = buflen - auio.uio_resid) <= 0) {
 		goto eof;
@@ -404,7 +404,7 @@
 			break;
     	}
 
-	if (outp == (caddr_t) SCARG(uap, dp))
+	if (outp == (caddr_t) uap->dp)
 		goto again;
 	fp->f_offset = off;
 
@@ -443,7 +443,7 @@
 	u_long *cookiebuf = NULL, *cookie;
 	int ncookies = 0, *retval = td->td_retval;
 
-	if ((error = getvnode(td->td_proc->p_fd, SCARG(uap, fd), &fp)) != 0)
+	if ((error = getvnode(td->td_proc->p_fd, uap->fd, &fp)) != 0)
 		return (error);
 
 	if ((fp->f_flag & FREAD) == 0) {
@@ -457,7 +457,7 @@
 		return (EINVAL);
 	}
 
-	buflen = min(MAXBSIZE, SCARG(uap, nbytes));
+	buflen = min(MAXBSIZE, uap->nbytes);
 	buf = malloc(buflen, M_TEMP, M_WAITOK);
 	vn_lock(vp, LK_EXCLUSIVE | LK_RETRY, td);
 	off = fp->f_offset;
@@ -489,8 +489,8 @@
 	}
 
 	inp = buf;
-	outp = SCARG(uap, buf);
-	resid = SCARG(uap, nbytes);
+	outp = uap->buf;
+	resid = uap->nbytes;
 	if ((len = buflen - auio.uio_resid) == 0)
 		goto eof;
 
@@ -534,12 +534,12 @@
 	}
 
 	/* if we squished out the whole block, try again */
-	if (outp == SCARG(uap, buf))
+	if (outp == uap->buf)
 		goto again;
 	fp->f_offset = off;	/* update the vnode offset */
 
 eof:
-	*retval = SCARG(uap, nbytes) - resid;
+	*retval = uap->nbytes - resid;
 out:
 	VOP_UNLOCK(vp, 0, td);
 	fdrop(fp, td);
@@ -563,18 +563,18 @@
 	/*
          * Verify the arguments.
          */
-	if (SCARG(uap, prot) & ~(PROT_READ | PROT_WRITE | PROT_EXEC))
+	if (uap->prot & ~(PROT_READ | PROT_WRITE | PROT_EXEC))
 		return EINVAL;	/* XXX still needed? */
 
-	if (SCARG(uap, len) == 0)
+	if (uap->len == 0)
 		return EINVAL;
 
-	SCARG(&mm, prot) = SCARG(uap, prot);
-	SCARG(&mm, len) = SCARG(uap, len);
-	SCARG(&mm, flags) = SCARG(uap, flags) & ~_MAP_NEW;
-	SCARG(&mm, fd) = SCARG(uap, fd);
-	SCARG(&mm, addr) = SCARG(uap, addr);
-	SCARG(&mm, pos) = SCARG(uap, pos);
+	mm.prot = uap->prot;
+	mm.len = uap->len;
+	mm.flags = uap->flags & ~_MAP_NEW;
+	mm.fd = uap->fd;
+	mm.addr = uap->addr;
+	mm.pos = uap->pos;
 
 	return mmap(td, &mm);
 }
@@ -591,23 +591,23 @@
 	/*
          * Verify the arguments.
          */
-	if (SCARG(uap, prot) & ~(PROT_READ | PROT_WRITE | PROT_EXEC))
+	if (uap->prot & ~(PROT_READ | PROT_WRITE | PROT_EXEC))
 		return EINVAL;	/* XXX still needed? */
 
-	if (SCARG(uap, len) == 0)
+	if (uap->len == 0)
 		return EINVAL;
 
-	SCARG(&mm, prot) = SCARG(uap, prot);
-	SCARG(&mm, len) = SCARG(uap, len);
-	SCARG(&mm, flags) = SCARG(uap, flags) & ~_MAP_NEW;
-	SCARG(&mm, fd) = SCARG(uap, fd);
-	SCARG(&mm, addr) = SCARG(uap, addr);
-	SCARG(&mm, pos) = SCARG(uap, pos);
+	mm.prot = uap->prot;
+	mm.len = uap->len;
+	mm.flags = uap->flags & ~_MAP_NEW;
+	mm.fd = uap->fd;
+	mm.addr = uap->addr;
+	mm.pos = uap->pos;
 
 	rp = (void *) round_page((vm_offset_t)(td->td_proc->p_vmspace->vm_daddr + maxdsiz));
-	if ((SCARG(&mm, flags) & MAP_FIXED) == 0 &&
-	    SCARG(&mm, addr) != 0 && (void *)SCARG(&mm, addr) < rp)
-		SCARG(&mm, addr) = rp;
+	if ((mm.flags & MAP_FIXED) == 0 &&
+	    mm.addr != 0 && (void *)mm.addr < rp)
+		mm.addr = rp;
 
 	return mmap(td, &mm);
 }
@@ -625,7 +625,7 @@
 
 	if ((error = suser(td)) != 0)
 		return error;
-	if ((error = getvnode(fdp, SCARG(uap, fd), &fp)) != 0)
+	if ((error = getvnode(fdp, uap->fd, &fp)) != 0)
 		return error;
 	vp = (struct vnode *) fp->f_data;
 	vn_lock(vp, LK_EXCLUSIVE | LK_RETRY, td);
@@ -664,14 +664,14 @@
 
 	if (S_ISFIFO(mode)) {
 		struct mkfifo_args ap;
-		SCARG(&ap, path) = path;
-		SCARG(&ap, mode) = mode;
+		ap.path = path;
+		ap.mode = mode;
 		return mkfifo(td, &ap);
 	} else {
 		struct mknod_args ap;
-		SCARG(&ap, path) = path;
-		SCARG(&ap, mode) = mode;
-		SCARG(&ap, dev) = dev;
+		ap.path = path;
+		ap.mode = mode;
+		ap.dev = dev;
 		return mknod(td, &ap);
 	}
 }
@@ -684,8 +684,8 @@
 {
         int *retval = td->td_retval;
 	return svr4_mknod(td, retval,
-			  SCARG(uap, path), SCARG(uap, mode),
-			  (svr4_dev_t)svr4_to_bsd_odev_t(SCARG(uap, dev)));
+			  uap->path, uap->mode,
+			  (svr4_dev_t)svr4_to_bsd_odev_t(uap->dev));
 }
 
 
@@ -696,8 +696,8 @@
 {
         int *retval = td->td_retval;
 	return svr4_mknod(td, retval,
-			  SCARG(uap, path), SCARG(uap, mode),
-			  (svr4_dev_t)svr4_to_bsd_dev_t(SCARG(uap, dev)));
+			  uap->path, uap->mode,
+			  (svr4_dev_t)svr4_to_bsd_dev_t(uap->dev));
 }
 
 
@@ -719,7 +719,7 @@
 
 	retval = &(td->td_retval[0]);
 
-	switch (SCARG(uap, name)) {
+	switch (uap->name) {
 	case SVR4_CONFIG_UNUSED:
 		*retval = 0;
 		break;
@@ -823,7 +823,7 @@
 	int rv;
 
 	base = round_page((vm_offset_t) vm->vm_daddr);
-	ns = (vm_offset_t)SCARG(uap, nsize);
+	ns = (vm_offset_t)uap->nsize;
 	new = round_page(ns);
 	/* For p_rlimit. */
 	mtx_assert(&Giant, MA_OWNED);
@@ -890,8 +890,8 @@
 	caddr_t sg = stackgap_init();
 	ru = stackgap_alloc(&sg, sizeof(struct rusage));
 
-	SCARG(&ga, who) = RUSAGE_SELF;
-	SCARG(&ga, rusage) = ru;
+	ga.who = RUSAGE_SELF;
+	ga.rusage = ru;
 
 	error = getrusage(td, &ga);
 	if (error)
@@ -903,7 +903,7 @@
 	tms.tms_utime = timeval_to_clock_t(&r.ru_utime);
 	tms.tms_stime = timeval_to_clock_t(&r.ru_stime);
 
-	SCARG(&ga, who) = RUSAGE_CHILDREN;
+	ga.who = RUSAGE_CHILDREN;
 	error = getrusage(td, &ga);
 	if (error)
 		return error;
@@ -917,7 +917,7 @@
 	microtime(&t);
 	*retval = timeval_to_clock_t(&t);
 
-	return copyout(&tms, SCARG(uap, tp), sizeof(tms));
+	return copyout(&tms, uap->tp, sizeof(tms));
 }
 
 
@@ -928,7 +928,7 @@
 {
         int *retval = td->td_retval;
 
-	switch (SCARG(uap, cmd)) {
+	switch (uap->cmd) {
 	case SVR4_GFILLIM:
 		/* For p_rlimit below. */
 		mtx_assert(&Giant, MA_OWNED);
@@ -946,7 +946,7 @@
 			struct rlimit *url = (struct rlimit *) 
 				stackgap_alloc(&sg, sizeof *url);
 
-			krl.rlim_cur = SCARG(uap, newlimit) * 512;
+			krl.rlim_cur = uap->newlimit * 512;
 			mtx_assert(&Giant, MA_OWNED);
 			krl.rlim_max = td->td_proc->p_rlimit[RLIMIT_FSIZE].rlim_max;
 
@@ -954,8 +954,8 @@
 			if (error)
 				return error;
 
-			SCARG(&srl, which) = RLIMIT_FSIZE;
-			SCARG(&srl, rlp) = url;
+			srl.which = RLIMIT_FSIZE;
+			srl.rlp = url;
 
 			error = setrlimit(td, &srl);
 			if (error)
@@ -1020,7 +1020,7 @@
         int *retval = td->td_retval;
 	struct proc *p = td->td_proc;
 
-	switch (SCARG(uap, cmd)) {
+	switch (uap->cmd) {
 	case 1:			/* setpgrp() */
 		/*
 		 * SVR4 setpgrp() (which takes no arguments) has the
@@ -1039,9 +1039,9 @@
 		return 0;
 
 	case 2:			/* getsid(pid) */
-		if (SCARG(uap, pid) == 0)
+		if (uap->pid == 0)
 			PROC_LOCK(p);
-		else if ((p = svr4_pfind(SCARG(uap, pid))) == NULL)
+		else if ((p = svr4_pfind(uap->pid)) == NULL)
 			return ESRCH;
 		/*
 		 * This has already been initialized to the pid of
@@ -1056,9 +1056,9 @@
 
 	case 4:			/* getpgid(pid) */
 
-		if (SCARG(uap, pid) == 0)
+		if (uap->pid == 0)
 			PROC_LOCK(p);
-		else if ((p = svr4_pfind(SCARG(uap, pid))) == NULL)
+		else if ((p = svr4_pfind(uap->pid)) == NULL)
 			return ESRCH;
 
 		*retval = (int) p->p_pgrp->pg_id;
@@ -1069,8 +1069,8 @@
 		{
 			struct setpgid_args sa;
 
-			SCARG(&sa, pid) = SCARG(uap, pid);
-			SCARG(&sa, pgid) = SCARG(uap, pgid);
+			sa.pid = uap->pid;
+			sa.pgid = uap->pgid;
 			return setpgid(td, &sa);
 		}
 
@@ -1096,7 +1096,7 @@
 	struct svr4_hrtcntl_args *uap;
 	register_t *retval;
 {
-	switch (SCARG(uap, fun)) {
+	switch (uap->fun) {
 	case SVR4_HRT_CNTL_RES:
 		DPRINTF(("htrcntl(RES)\n"));
 		*retval = SVR4_HRT_USEC;
@@ -1107,11 +1107,11 @@
 		{
 			struct timeval tv;
 			svr4_hrt_time_t t;
-			if (SCARG(uap, clk) != SVR4_HRT_CLK_STD) {
-				DPRINTF(("clk == %d\n", SCARG(uap, clk)));
+			if (uap->clk != SVR4_HRT_CLK_STD) {
+				DPRINTF(("clk == %d\n", uap->clk));
 				return EINVAL;
 			}
-			if (SCARG(uap, ti) == NULL) {
+			if (uap->ti == NULL) {
 				DPRINTF(("ti NULL\n"));
 				return EINVAL;
 			}
@@ -1119,7 +1119,7 @@
 			t.h_sec = tv.tv_sec;
 			t.h_rem = tv.tv_usec;
 			t.h_res = SVR4_HRT_USEC;
-			return copyout(&t, SCARG(uap, ti), sizeof(t));
+			return copyout(&t, uap->ti, sizeof(t));
 		}
 
 	case SVR4_HRT_CNTL_START:
@@ -1130,7 +1130,7 @@
 		DPRINTF(("htrcntl(GET)\n"));
 		return ENOSYS;
 	default:
-		DPRINTF(("Bad htrcntl command %d\n", SCARG(uap, fun)));
+		DPRINTF(("Bad htrcntl command %d\n", uap->fun));
 		return ENOSYS;
 	}
 }
@@ -1143,7 +1143,7 @@
 {
         int *retval = td->td_retval;
 
-	switch (SCARG(uap, cmd)) {
+	switch (uap->cmd) {
 	case SVR4_HRT_CNTL:
 		return svr4_hrtcntl(td, (struct svr4_hrtcntl_args *) uap,
 				    retval);
@@ -1161,7 +1161,7 @@
 		return ENOSYS;
 
 	default:
-		DPRINTF(("Bad hrtsys command %d\n", SCARG(uap, cmd)));
+		DPRINTF(("Bad hrtsys command %d\n", uap->cmd));
 		return EINVAL;
 	}
 }
@@ -1235,18 +1235,18 @@
 	struct proc *q, *t;
 
 
-	switch (SCARG(uap, grp)) {
+	switch (uap->grp) {
 	case SVR4_P_PID:	
 		break;
 
 	case SVR4_P_PGID:
 		PROC_LOCK(td->td_proc);
-		SCARG(uap, id) = -td->td_proc->p_pgid;
+		uap->id = -td->td_proc->p_pgid;
 		PROC_UNLOCK(td->td_proc);
 		break;
 
 	case SVR4_P_ALL:
-		SCARG(uap, id) = WAIT_ANY;
+		uap->id = WAIT_ANY;
 		break;
 
 	default:
@@ -1254,37 +1254,37 @@
 	}
 
 	DPRINTF(("waitsys(%d, %d, %p, %x)\n", 
-	         SCARG(uap, grp), SCARG(uap, id),
-		 SCARG(uap, info), SCARG(uap, options)));
+	         uap->grp, uap->id,
+		 uap->info, uap->options));
 
 loop:
 	nfound = 0;
 	sx_slock(&proctree_lock);
 	LIST_FOREACH(q, &td->td_proc->p_children, p_sibling) {
 		PROC_LOCK(q);
-		if (SCARG(uap, id) != WAIT_ANY &&
-		    q->p_pid != SCARG(uap, id) &&
-		    q->p_pgid != -SCARG(uap, id)) {
+		if (uap->id != WAIT_ANY &&
+		    q->p_pid != uap->id &&
+		    q->p_pgid != -uap->id) {
 			PROC_UNLOCK(q);
 			DPRINTF(("pid %d pgid %d != %d\n", q->p_pid,
-				 q->p_pgid, SCARG(uap, id)));
+				 q->p_pgid, uap->id));
 			continue;
 		}
 		nfound++;
 		mtx_lock_spin(&sched_lock);
 		if ((q->p_state == PRS_ZOMBIE) && 
-		    ((SCARG(uap, options) & (SVR4_WEXITED|SVR4_WTRAPPED)))) {
+		    ((uap->options & (SVR4_WEXITED|SVR4_WTRAPPED)))) {
 			mtx_unlock_spin(&sched_lock);
 			PROC_UNLOCK(q);
 			sx_sunlock(&proctree_lock);
 			*retval = 0;
 			DPRINTF(("found %d\n", q->p_pid));
-			error = svr4_setinfo(q, q->p_xstat, SCARG(uap, info));
+			error = svr4_setinfo(q, q->p_xstat, uap->info);
 			if (error != 0)
 				return error;
 
 
-		        if ((SCARG(uap, options) & SVR4_WNOWAIT)) {
+		        if ((uap->options & SVR4_WNOWAIT)) {
 				DPRINTF(("Don't wait\n"));
 				return 0;
 			}
@@ -1391,15 +1391,15 @@
 		/* XXXKSE this needs clarification */
 		if (P_SHOULDSTOP(q) && ((q->p_flag & P_WAITED) == 0) &&
 		    (q->p_flag & P_TRACED ||
-		     (SCARG(uap, options) & (SVR4_WSTOPPED|SVR4_WCONTINUED)))) {
+		     (uap->options & (SVR4_WSTOPPED|SVR4_WCONTINUED)))) {
 			mtx_unlock_spin(&sched_lock);
 			DPRINTF(("jobcontrol %d\n", q->p_pid));
-		        if (((SCARG(uap, options) & SVR4_WNOWAIT)) == 0)
+		        if (((uap->options & SVR4_WNOWAIT)) == 0)
 				q->p_flag |= P_WAITED;
 			PROC_UNLOCK(q);
 			*retval = 0;
 			return svr4_setinfo(q, W_STOPCODE(q->p_xstat),
-					    SCARG(uap, info));
+					    uap->info);
 		}
 		mtx_unlock_spin(&sched_lock);
 		PROC_UNLOCK(q);
@@ -1408,9 +1408,9 @@
 	if (nfound == 0)
 		return ECHILD;
 
-	if (SCARG(uap, options) & SVR4_WNOHANG) {
+	if (uap->options & SVR4_WNOHANG) {
 		*retval = 0;
-		if ((error = svr4_setinfo(NULL, 0, SCARG(uap, info))) != 0)
+		if ((error = svr4_setinfo(NULL, 0, uap->info)) != 0)
 			return error;
 		return 0;
 	}
@@ -1485,9 +1485,9 @@
 	struct svr4_statvfs sfs;
 	int error;
 
-	CHECKALTEXIST(td, &sg, SCARG(uap, path));
-	SCARG(&fs_args, path) = SCARG(uap, path);
-	SCARG(&fs_args, buf) = fs;
+	CHECKALTEXIST(td, &sg, uap->path);
+	fs_args.path = uap->path;
+	fs_args.buf = fs;
 
 	if ((error = statfs(td, &fs_args)) != 0)
 		return error;
@@ -1497,7 +1497,7 @@
 
 	bsd_statfs_to_svr4_statvfs(&bfs, &sfs);
 
-	return copyout(&sfs, SCARG(uap, fs), sizeof(sfs));
+	return copyout(&sfs, uap->fs, sizeof(sfs));
 }
 
 
@@ -1513,8 +1513,8 @@
 	struct svr4_statvfs sfs;
 	int error;
 
-	SCARG(&fs_args, fd) = SCARG(uap, fd);
-	SCARG(&fs_args, buf) = fs;
+	fs_args.fd = uap->fd;
+	fs_args.buf = fs;
 
 	if ((error = fstatfs(td, &fs_args)) != 0)
 		return error;
@@ -1524,7 +1524,7 @@
 
 	bsd_statfs_to_svr4_statvfs(&bfs, &sfs);
 
-	return copyout(&sfs, SCARG(uap, fs), sizeof(sfs));
+	return copyout(&sfs, uap->fs, sizeof(sfs));
 }
 
 
@@ -1540,9 +1540,9 @@
 	struct svr4_statvfs64 sfs;
 	int error;
 
-	CHECKALTEXIST(td, &sg, SCARG(uap, path));
-	SCARG(&fs_args, path) = SCARG(uap, path);
-	SCARG(&fs_args, buf) = fs;
+	CHECKALTEXIST(td, &sg, uap->path);
+	fs_args.path = uap->path;
+	fs_args.buf = fs;
 
 	if ((error = statfs(td, &fs_args)) != 0)
 		return error;
@@ -1552,7 +1552,7 @@
 
 	bsd_statfs_to_svr4_statvfs64(&bfs, &sfs);
 
-	return copyout(&sfs, SCARG(uap, fs), sizeof(sfs));
+	return copyout(&sfs, uap->fs, sizeof(sfs));
 }
 
 
@@ -1568,8 +1568,8 @@
 	struct svr4_statvfs64 sfs;
 	int error;
 
-	SCARG(&fs_args, fd) = SCARG(uap, fd);
-	SCARG(&fs_args, buf) = fs;
+	fs_args.fd = uap->fd;
+	fs_args.buf = fs;
 
 	if ((error = fstatfs(td, &fs_args)) != 0)
 		return error;
@@ -1579,7 +1579,7 @@
 
 	bsd_statfs_to_svr4_statvfs64(&bfs, &sfs);
 
-	return copyout(&sfs, SCARG(uap, fs), sizeof(sfs));
+	return copyout(&sfs, uap->fs, sizeof(sfs));
 }
 
 int
@@ -1595,12 +1595,12 @@
         itp = stackgap_alloc(&sg, sizeof(*itp));
 	oitp = stackgap_alloc(&sg, sizeof(*oitp));
         timevalclear(&itp->it_interval);
-        itp->it_value.tv_sec = SCARG(uap, sec);
+        itp->it_value.tv_sec = uap->sec;
         itp->it_value.tv_usec = 0;
 
-	SCARG(&sa, which) = ITIMER_REAL;
-	SCARG(&sa, itv) = itp;
-	SCARG(&sa, oitv) = oitp;
+	sa.which = ITIMER_REAL;
+	sa.itv = itp;
+	sa.oitv = oitp;
         error = setitimer(td, &sa);
 	if (error)
 		return error;
@@ -1616,11 +1616,11 @@
 	struct thread *td;
 	struct svr4_sys_gettimeofday_args *uap;
 {
-	if (SCARG(uap, tp)) {
+	if (uap->tp) {
 		struct timeval atv;
 
 		microtime(&atv);
-		return copyout(&atv, SCARG(uap, tp), sizeof (atv));
+		return copyout(&atv, uap->tp, sizeof (atv));
 	}
 
 	return 0;
@@ -1636,14 +1636,14 @@
 	retval = td->td_retval;
 	*retval = 0;
 
-	switch (SCARG(uap, cmd)) {
+	switch (uap->cmd) {
 	case SVR4_SYS_SETACL:
 		/* We don't support acls on any filesystem */
 		return ENOSYS;
 
 	case SVR4_SYS_GETACL:
-		return copyout(retval, &SCARG(uap, num),
-		    sizeof(SCARG(uap, num)));
+		return copyout(retval, &uap->num,
+		    sizeof(uap->num));
 
 	case SVR4_SYS_GETACLCNT:
 		return 0;
@@ -1679,14 +1679,14 @@
 	struct thread *td;
 	struct svr4_sys_memcntl_args *uap;
 {
-	switch (SCARG(uap, cmd)) {
+	switch (uap->cmd) {
 	case SVR4_MC_SYNC:
 		{
 			struct msync_args msa;
 
-			SCARG(&msa, addr) = SCARG(uap, addr);
-			SCARG(&msa, len) = SCARG(uap, len);
-			SCARG(&msa, flags) = (int)SCARG(uap, arg);
+			msa.addr = uap->addr;
+			msa.len = uap->len;
+			msa.flags = (int)uap->arg;
 
 			return msync(td, &msa);
 		}
@@ -1694,9 +1694,9 @@
 		{
 			struct madvise_args maa;
 
-			SCARG(&maa, addr) = SCARG(uap, addr);
-			SCARG(&maa, len) = SCARG(uap, len);
-			SCARG(&maa, behav) = (int)SCARG(uap, arg);
+			maa.addr = uap->addr;
+			maa.len = uap->len;
+			maa.behav = (int)uap->arg;
 
 			return madvise(td, &maa);
 		}
@@ -1719,9 +1719,9 @@
 	struct setpriority_args ap;
 	int error;
 
-	SCARG(&ap, which) = PRIO_PROCESS;
-	SCARG(&ap, who) = 0;
-	SCARG(&ap, prio) = SCARG(uap, prio);
+	ap.which = PRIO_PROCESS;
+	ap.who = 0;
+	ap.prio = uap->prio;
 
 	if ((error = setpriority(td, &ap)) != 0)
 		return error;
@@ -1742,17 +1742,17 @@
 	int error, *retval = td->td_retval;
 
 	NDINIT(&nd, LOOKUP, NOFOLLOW | SAVENAME, UIO_USERSPACE,
-	    SCARG(uap, path), td);
+	    uap->path, td);
 
 	if ((error = namei(&nd)) != 0)
 		return error;
 
-	if ((error = copyout(nd.ni_cnd.cn_pnbuf, SCARG(uap, buf),
-	    SCARG(uap, bufsiz))) != 0)
+	if ((error = copyout(nd.ni_cnd.cn_pnbuf, uap->buf,
+	    uap->bufsiz)) != 0)
 		goto bad;
 
-	*retval = strlen(nd.ni_cnd.cn_pnbuf) < SCARG(uap, bufsiz) ? 
-	  strlen(nd.ni_cnd.cn_pnbuf) + 1 : SCARG(uap, bufsiz);
+	*retval = strlen(nd.ni_cnd.cn_pnbuf) < uap->bufsiz ? 
+	  strlen(nd.ni_cnd.cn_pnbuf) + 1 : uap->bufsiz;
 bad:
 	NDFREE(&nd, NDF_ONLY_PNBUF);
 	vput(nd.ni_vp);
Index: compat/svr4/svr4_resource.c
===================================================================
RCS file: /home/ncvs/src/sys/compat/svr4/svr4_resource.c,v
retrieving revision 1.11
diff -u -r1.11 svr4_resource.c
--- compat/svr4/svr4_resource.c	30 Aug 2002 18:09:46 -0000	1.11
+++ compat/svr4/svr4_resource.c	12 Dec 2002 03:14:38 -0000
@@ -133,7 +133,7 @@
 	register struct thread *td;
 	struct svr4_sys_getrlimit_args *uap;
 {
-	int rl = svr4_to_native_rl(SCARG(uap, which));
+	int rl = svr4_to_native_rl(uap->which);
 	struct rlimit blim;
 	struct svr4_rlimit slim;
 
@@ -171,7 +171,7 @@
 	else
 		slim.rlim_cur = SVR4_RLIM_SAVED_CUR;
 
-	return copyout(&slim, SCARG(uap, rlp), sizeof(*SCARG(uap, rlp)));
+	return copyout(&slim, uap->rlp, sizeof(*uap->rlp));
 }
 
 
@@ -180,7 +180,7 @@
 	register struct thread *td;
 	struct svr4_sys_setrlimit_args *uap;
 {
-	int rl = svr4_to_native_rl(SCARG(uap, which));
+	int rl = svr4_to_native_rl(uap->which);
 	struct rlimit blim, *limp;
 	struct svr4_rlimit slim;
 	int error;
@@ -192,7 +192,7 @@
 	mtx_assert(&Giant, MA_OWNED);
 	limp = &td->td_proc->p_rlimit[rl];
 
-	if ((error = copyin(SCARG(uap, rlp), &slim, sizeof(slim))) != 0)
+	if ((error = copyin(uap->rlp, &slim, sizeof(slim))) != 0)
 		return error;
 
 	/*
@@ -231,7 +231,7 @@
 	register struct thread *td;
 	struct svr4_sys_getrlimit64_args *uap;
 {
-	int rl = svr4_to_native_rl(SCARG(uap, which));
+	int rl = svr4_to_native_rl(uap->which);
 	struct rlimit blim;
 	struct svr4_rlimit64 slim;
 
@@ -269,7 +269,7 @@
 	else
 		slim.rlim_cur = SVR4_RLIM64_SAVED_CUR;
 
-	return copyout(&slim, SCARG(uap, rlp), sizeof(*SCARG(uap, rlp)));
+	return copyout(&slim, uap->rlp, sizeof(*uap->rlp));
 }
 
 
@@ -278,7 +278,7 @@
 	register struct thread *td;
 	struct svr4_sys_setrlimit64_args *uap;
 {
-	int rl = svr4_to_native_rl(SCARG(uap, which));
+	int rl = svr4_to_native_rl(uap->which);
 	struct rlimit blim, *limp;
 	struct svr4_rlimit64 slim;
 	int error;
@@ -290,7 +290,7 @@
 	mtx_assert(&Giant, MA_OWNED);
 	limp = &td->td_proc->p_rlimit[rl];
 
-	if ((error = copyin(SCARG(uap, rlp), &slim, sizeof(slim))) != 0)
+	if ((error = copyin(uap->rlp, &slim, sizeof(slim))) != 0)
 		return error;
 
 	/*
Index: compat/svr4/svr4_signal.c
===================================================================
RCS file: /home/ncvs/src/sys/compat/svr4/svr4_signal.c,v
retrieving revision 1.21
diff -u -r1.21 svr4_signal.c
--- compat/svr4/svr4_signal.c	1 Oct 2002 17:15:50 -0000	1.21
+++ compat/svr4/svr4_signal.c	12 Dec 2002 03:14:38 -0000
@@ -269,12 +269,12 @@
 	int error;
 
 	DPRINTF(("@@@ svr4_sys_sigaction(%d, %d, %d)\n", td->td_proc->p_pid,
-			SCARG(uap, signum),
-			SVR4_SVR42BSD_SIG(SCARG(uap, signum))));
+			uap->signum,
+			SVR4_SVR42BSD_SIG(uap->signum)));
 	
 	sg = stackgap_init();
-	nisa = SCARG(uap, nsa);
-	oisa = SCARG(uap, osa);
+	nisa = uap->nsa;
+	oisa = uap->osa;
 
 	if (oisa != NULL)
 		obsa = stackgap_alloc(&sg, sizeof(struct sigaction));
@@ -301,9 +301,9 @@
 	}
 #endif
 
-	SCARG(&sa, sig) = SVR4_SVR42BSD_SIG(SCARG(uap, signum));
-	SCARG(&sa, act) = nbsa;
-	SCARG(&sa, oact) = obsa;
+	sa.sig = SVR4_SVR42BSD_SIG(uap->signum);
+	sa.act = nbsa;
+	sa.oact = obsa;
 
 	if ((error = sigaction(td, &sa)) != 0)
 		return error;
@@ -332,8 +332,8 @@
 
 	retval = td->td_retval;
 	sg = stackgap_init();
-	nsss = SCARG(uap, nss);
-	osss = SCARG(uap, oss);
+	nsss = uap->nss;
+	osss = uap->oss;
 
 	if (osss != NULL)
 		obss = stackgap_alloc(&sg, sizeof(struct sigaltstack));
@@ -350,8 +350,8 @@
 	} else
 		nbss = NULL;
 
-	SCARG(&sa, ss) = nbss;
-	SCARG(&sa, oss) = obss;
+	sa.ss = nbss;
+	sa.oss = obss;
 
 	if ((error = sigaltstack(td, &sa)) != 0)
 		return error;
@@ -381,13 +381,13 @@
 
 	DPRINTF(("@@@ svr4_sys_signal(%d)\n", td->td_proc->p_pid));
 
-	signum = SVR4_SVR42BSD_SIG(SVR4_SIGNO(SCARG(uap, signum)));
+	signum = SVR4_SVR42BSD_SIG(SVR4_SIGNO(uap->signum));
 	if (signum <= 0 || signum > SVR4_NSIG)
 		return (EINVAL);
 
-	switch (SVR4_SIGCALL(SCARG(uap, signum))) {
+	switch (SVR4_SIGCALL(uap->signum)) {
 	case SVR4_SIGDEFER_MASK:
-		if (SCARG(uap, handler) == SVR4_SIG_HOLD)
+		if (uap->handler == SVR4_SIG_HOLD)
 			goto sighold;
 		/* FALLTHROUGH */
 
@@ -398,11 +398,11 @@
 
 			nbsa = stackgap_alloc(&sg, sizeof(struct sigaction));
 			obsa = stackgap_alloc(&sg, sizeof(struct sigaction));
-			SCARG(&sa_args, sig) = signum;
-			SCARG(&sa_args, act) = nbsa;
-			SCARG(&sa_args, oact) = obsa;
+			sa_args.sig = signum;
+			sa_args.act = nbsa;
+			sa_args.oact = obsa;
 
-			sa.sa_handler = (sig_t) SCARG(uap, handler);
+			sa.sa_handler = (sig_t) uap->handler;
 			SIGEMPTYSET(sa.sa_mask);
 			sa.sa_flags = 0;
 
@@ -432,9 +432,9 @@
 			set = stackgap_alloc(&sg, sizeof(sigset_t));
 			SIGEMPTYSET(*set);
 			SIGADDSET(*set, signum);
-			SCARG(&sa, how) = SIG_BLOCK;
-			SCARG(&sa, set) = set;
-			SCARG(&sa, oset) = NULL;
+			sa.how = SIG_BLOCK;
+			sa.set = set;
+			sa.oset = NULL;
 			return sigprocmask(td, &sa);
 		}
 
@@ -446,9 +446,9 @@
 			set = stackgap_alloc(&sg, sizeof(sigset_t));
 			SIGEMPTYSET(*set);
 			SIGADDSET(*set, signum);
-			SCARG(&sa, how) = SIG_UNBLOCK;
-			SCARG(&sa, set) = set;
-			SCARG(&sa, oset) = NULL;
+			sa.how = SIG_UNBLOCK;
+			sa.set = set;
+			sa.oset = NULL;
 			return sigprocmask(td, &sa);
 		}
 
@@ -458,9 +458,9 @@
 			struct sigaction *bsa, sa;
 
 			bsa = stackgap_alloc(&sg, sizeof(struct sigaction));
-			SCARG(&sa_args, sig) = signum;
-			SCARG(&sa_args, act) = bsa;
-			SCARG(&sa_args, oact) = NULL;
+			sa_args.sig = signum;
+			sa_args.act = bsa;
+			sa_args.oact = NULL;
 
 			sa.sa_handler = SIG_IGN;
 			SIGEMPTYSET(sa.sa_mask);
@@ -484,7 +484,7 @@
 			*set = td->td_proc->p_sigmask;
 			PROC_UNLOCK(td->td_proc);
 			SIGDELSET(*set, signum);
-			SCARG(&sa, sigmask) = set;
+			sa.sigmask = set;
 			return sigsuspend(td, &sa);
 		}
 
@@ -504,26 +504,26 @@
 	int error = 0, *retval;
 
 	retval = td->td_retval;
-	if (SCARG(uap, oset) != NULL) {
+	if (uap->oset != NULL) {
 		/* Fix the return value first if needed */
 		PROC_LOCK(td->td_proc);
 		bsd_to_svr4_sigset(&td->td_proc->p_sigmask, &sss);
 		PROC_UNLOCK(td->td_proc);
-		if ((error = copyout(&sss, SCARG(uap, oset), sizeof(sss))) != 0)
+		if ((error = copyout(&sss, uap->oset, sizeof(sss))) != 0)
 			return error;
 	}
 
-	if (SCARG(uap, set) == NULL)
+	if (uap->set == NULL)
 		/* Just examine */
 		return 0;
 
-	if ((error = copyin(SCARG(uap, set), &sss, sizeof(sss))) != 0)
+	if ((error = copyin(uap->set, &sss, sizeof(sss))) != 0)
 		return error;
 
 	svr4_to_bsd_sigset(&sss, &bss);
 
 	PROC_LOCK(td->td_proc);
-	switch (SCARG(uap, how)) {
+	switch (uap->how) {
 	case SVR4_SIG_BLOCK:
 		SIGSETOR(td->td_proc->p_sigmask, bss);
 		SIG_CANTMASK(td->td_proc->p_sigmask);
@@ -560,9 +560,9 @@
 
 	DPRINTF(("@@@ svr4_sys_sigpending(%d)\n", td->td_proc->p_pid));
 	retval = td->td_retval;
-	switch (SCARG(uap, what)) {
+	switch (uap->what) {
 	case 1:	/* sigpending */
-		if (SCARG(uap, mask) == NULL)
+		if (uap->mask == NULL)
 			return 0;
 		PROC_LOCK(td->td_proc);
 		bss = td->td_proc->p_siglist;
@@ -586,7 +586,7 @@
 		return EINVAL;
 	}
 		
-	return copyout(&sss, SCARG(uap, mask), sizeof(sss));
+	return copyout(&sss, uap->mask, sizeof(sss));
 }
 
 int
@@ -600,13 +600,13 @@
 	int error;
 	caddr_t sg = stackgap_init();
 
-	if ((error = copyin(SCARG(uap, ss), &sss, sizeof(sss))) != 0)
+	if ((error = copyin(uap->ss, &sss, sizeof(sss))) != 0)
 		return error;
 
 	bss = stackgap_alloc(&sg, sizeof(sigset_t));
 	svr4_to_bsd_sigset(&sss, bss);
 
-	SCARG(&sa, sigmask) = bss;
+	sa.sigmask = bss;
 	return sigsuspend(td, &sa);
 }
 
@@ -618,8 +618,8 @@
 {
 	struct kill_args ka;
 
-	SCARG(&ka, pid) = SCARG(uap, pid);
-	SCARG(&ka, signum) = SVR4_SVR42BSD_SIG(SCARG(uap, signum));
+	ka.pid = uap->pid;
+	ka.signum = SVR4_SVR42BSD_SIG(uap->signum);
 	return kill(td, &ka);
 }
 
@@ -671,6 +671,6 @@
 {
 	struct sigsuspend_args bsa;
 
-	SCARG(&bsa, sigmask) = &td->td_proc->p_sigmask;
+	bsa.sigmask = &td->td_proc->p_sigmask;
 	return sigsuspend(td, &bsa);
 }
Index: compat/svr4/svr4_socket.c
===================================================================
RCS file: /home/ncvs/src/sys/compat/svr4/svr4_socket.c,v
retrieving revision 1.13
diff -u -r1.13 svr4_socket.c
--- compat/svr4/svr4_socket.c	12 Sep 2001 08:36:58 -0000	1.13
+++ compat/svr4/svr4_socket.c	12 Dec 2002 03:14:38 -0000
@@ -166,25 +166,25 @@
 	struct thread *td;
 	struct svr4_sys_socket_args *uap;
 {
-	switch (SCARG(uap, type)) {
+	switch (uap->type) {
 	case SVR4_SOCK_DGRAM:
-		SCARG(uap, type) = SOCK_DGRAM;
+		uap->type = SOCK_DGRAM;
 		break;
 
 	case SVR4_SOCK_STREAM:
-		SCARG(uap, type) = SOCK_STREAM;
+		uap->type = SOCK_STREAM;
 		break;
 
 	case SVR4_SOCK_RAW:
-		SCARG(uap, type) = SOCK_RAW;
+		uap->type = SOCK_RAW;
 		break;
 
 	case SVR4_SOCK_RDM:
-		SCARG(uap, type) = SOCK_RDM;
+		uap->type = SOCK_RDM;
 		break;
 
 	case SVR4_SOCK_SEQPACKET:
-		SCARG(uap, type) = SOCK_SEQPACKET;
+		uap->type = SOCK_SEQPACKET;
 		break;
 	default:
 		return EINVAL;
